﻿using System;

namespace TICStepperDriver
{
    public class TICEnums
    {
        public enum StepMode
        { 
           _full,
           _half,
           _1,
           _2,
           _2_100p,
           _4,
           _8,
           _16,
           _32,
           _64,
           _128,
           _256
        }

        public enum HomeMode
        {
            rev,
            fwd
        }

        public enum DecayMode
        {
            mixed,
            slow,
            fast,
            mixed25,
            mixed50,
            mixed75
        }

        public static class TICEnumNodes
        {
            public static string StepMode(StepMode stepMode)
            {
                return stepMode.ToString().Replace('_',' ').Trim();
            }

            public static string HomeMode(HomeMode homeMode)
            {
                return homeMode.ToString();
            }

            public static string DecayMode(DecayMode decayMode)
            {
                return decayMode.ToString();
            }
        }
    }
}
